<?php if(!defined('PmWiki'))exit;
/**
  Maxi2 : an inline Picture Magnifier for PmWiki
  Written by (c) Petko Yotov 2021

  This text is written for PmWiki; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version. See pmwiki.php for full details
  and lack of warranty.

  This current code is no longer based on the ThumbList2 and Mini 
  picture galleries and on the PmWiki upload.php script.

  Copyright 2021 Petko Yotov www.pmwiki.org/petko
  
  This is a major rewrite of the 12 years old PmWiki:Cookbook:Maxi 
  recipe to work with mouse gestures (drag-to-pan, scroll-to-zoom)
  and with touch gestures (pinch-to-zoom and drag-to-pan).
  
  
*/
$RecipeInfo['Maxi2']['Version'] = '20210710';

SDV($Maxi2Fmt, '<link rel="stylesheet" href="$FarmPubDirUrl/maxi2/maxi2.css" type="text/css"/>
    <script type="text/javascript" src="$FarmPubDirUrl/maxi2/zoom-1.0.7-petko.js"></script> 
    <script type="text/javascript" src="$FarmPubDirUrl/maxi2/maxi2.js"></script>
    ');

Markup('Maxi2:','<split',
    "/^([Mm]axi:)([^\\s\"\\|\\[\\]]+)(\"([^\"]*)\")?/m",
    "mLinkMaxi2");

function mLinkMaxi2($m) {
  extract($GLOBALS["MarkupToHTML"]);
  global $HTMLHeaderFmt, $Maxi2Fmt;
  
  $HTMLHeaderFmt['Maxi2'] = FmtPageName($Maxi2Fmt, $pagename);
  
  @list($small, $large) = explode(',', $m[2]);
  if(!$large) $large = $small;
  $title = @$m[3] ? $m[3] : '';
  return "(:div753 class=maxidiv:)\nAttach:$large$title\n(:div753end:)";
}

